> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hymalaia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Docs By Connector Credential Pair



## OpenAPI

````yaml GET /api/onyx-api/connector-docs/{cc_pair_id}
openapi: 3.1.0
info:
  title: Hymalaia Chat API
  description: API for interacting with Hymalaia's chat and messaging services
  version: 1.0.0
  contact:
    name: Hymalaia Support
    email: support@hymalaia.com
    url: https://hymalaia.com
servers:
  - url: https://staging.hymalaia.app/
    description: Staging Server
security: []
paths:
  /api/onyx-api/connector-docs/{cc_pair_id}:
    get:
      tags:
        - public
      summary: Get Docs By Connector Credential Pair
      operationId: get_docs_by_connector_credential_pair
      parameters:
        - name: cc_pair_id
          in: path
          required: true
          schema:
            type: integer
            title: Cc Pair Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocMinimalInfo'
                title: >-
                  Response Get Docs By Connector Credential Pair Hymalaia Api
                  Connector Docs  Cc Pair Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    DocMinimalInfo:
      properties:
        document_id:
          type: string
          title: Document Id
        semantic_id:
          type: string
          title: Semantic Id
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
      type: object
      required:
        - document_id
        - semantic_id
      title: DocMinimalInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Authorization header with Bearer token

````